# Class ListenerCreateRule

java.lang.Object
org.apache.tomcat.util.digester.Rule
org.apache.tomcat.util.digester.ObjectCreateRule
org.apache.catalina.startup.ListenerCreateRule

public class ListenerCreateRule extends ObjectCreateRule
Rule implementation that creates a server listener.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ListenerCreateRule.OptionalListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final StringManager`
`sm`

### Fields inherited from class ObjectCreateRule

`attributeName, className`

### Fields inherited from class Rule

`digester, namespaceURI`

## Constructor Summary

Constructors
Constructor
Description
`ListenerCreateRule(String className, String attributeName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin(String namespace, String name, Attributes attributes)`
Process the beginning of this element.

### Methods inherited from class ObjectCreateRule

`end, getRealClassName, toString`

### Methods inherited from class Rule

`body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### sm

protected static final StringManager sm

## Constructor Details

### ListenerCreateRule

public ListenerCreateRule(String className, String attributeName)

## Method Details

### begin

public void begin(String namespace, String name, Attributes attributes) throws Exception
Description copied from class: `ObjectCreateRule`
Process the beginning of this element.

Overrides:
  `begin` in class `ObjectCreateRule`
Parameters:
  `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
  `name` - the local name if the parser is namespace aware, or just the element name otherwise
  `attributes` - The attribute list for this element
Throws:
  `Exception` - if an error occurs while processing the event